org.tmatesoft.svn.core

## Class SVNMergeInfoInheritance

- java.lang.Object
- - org.tmatesoft.svn.core.SVNMergeInfoInheritance

    public class SVNMergeInfoInheritance
    extends java.lang.Object

This class contains enumeration that describes the ways of requesting merge information.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

Fields
`static SVNMergeInfoInheritance` `EXPLICIT` Represents the way of requesting the explicit merge information for the element.
`static SVNMergeInfoInheritance` `INHERITED` Represents the way of requesting the explicit merge information for the element, if exists, otherwise inherited merge information from the nearest ancestor of the element.
`static SVNMergeInfoInheritance` `NEAREST_ANCESTOR` Represents the way of requesting the merge information from the element's nearest ancestor, regardless of whether the element has explicit info.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EXPLICIT

    public static final SVNMergeInfoInheritance EXPLICIT

Represents the way of requesting the explicit merge information for the element.

#### INHERITED

    public static final SVNMergeInfoInheritance INHERITED

Represents the way of requesting the explicit merge information for the element, if exists, otherwise inherited merge information from the nearest ancestor of the element.

#### NEAREST_ANCESTOR

    public static final SVNMergeInfoInheritance NEAREST_ANCESTOR

Represents the way of requesting the merge information from the element's nearest ancestor, regardless of whether the element has explicit info.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representation of this object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  this object as a string